\section{Stuff from the exercise sheets}
\subsection{Sheet 1}
\subsection{Sheet 2}
\subsection{Sheet 3}
\begin{prop}
  Let $X$ be a topological space and $\shf$ a sheaf on $X$. Then the assignment
  \[
  \shf_0\mc U\mapsto \lset s\mc U\to \coprod_{x\in X}\shf_x\ssp s(x)\in \shf_x\rset
  \]
  is a flasque sheaf. Furthermore, the sheaf $\shf$ admits a flasque resolution of the form $0\to\shf_0\to\shf_1\to \ldots$, where $\shf_0$ is the flasque sheaf from above.
\end{prop}

\begin{lem}
  Let $(X,\ox)$ be an affine scheme and $x\in X$ a point with residue field $k(x)\defined \oxx/\idm_x$. Then for every field $K$, there is a natural bijection between the morphisms of affine schemes $\spec(K)\to X$ and the set of field inclusions $k(x)\hookrightarrow K$.
\end{lem}
\begin{construction}
  Let $(X,\ox)$ be an affine $k$-scheme and $x\in X$ a point with residue field $k(x)= \oxx/\idm_x$. Then $k(x)$ is naturally a field extension of $k$. We say that $x$ is a \emph{rational point} if this extension is trivial, i.e. $k(x) = k$. The \emph{set of rational points} is dentoted by $X(k)$.
\end{construction}
\begin{prop}
    Let $(X,\ox)$ be an affine $k$-scheme. Then there is a natural bijection between the set of rational points of $X$ and the set of $k$-morphisms $\spec(k)\to X$.
\end{prop}

\begin{construction}
  Let $X$ be an affine scheme. Then for any point $x\in X$, the quotient $\idm_x/\idm_x^2$ is naturally a $k(x)$-vector space. The \emph{Zariski tangent space $T_x$} is defined as the $k(x)$-dual of this space, i.e.
  \[
  T_x \defined (\idm_x/\idm_x^2)\dual = \hom_{k(x)}(\idm_x/\idm_x^2,k(x)).
  \]
\end{construction}
\begin{prop}
  Let $(X,\ox)$ be an affine $k$-scheme and set $k[\varepsilon]\defined k[t]/(t^2)$. Then the set of all morphisms of $k$-schemes $\spec(k[\varepsilon])\to X$ is naturally isomorphic to the set of tuples
  \[
  \lset (x,v)\ssp x\in X\text{ is a rational point, }v\in T_x
  \rset.
  \]
\end{prop}

\begin{defn}
  Let $X$ be topological space, $i\mc Y\hookrightarrow X$ a closed immersion and $U\defined X\setminus i(Y)$. Let $\shg$ be a sheaf on $U$. Then the \emph{extension of $G$ by zero} is the sheafification of the assignment
  \[
  V\mapsto
  \begin{cases}
  \shg(V),&\text{if }V\sse U\\
  0,&\text{otherwise}
  \end{cases}
  \]
  and is denoted by $j_!\shg$.
\end{defn}
\begin{prop}
  Let $\shf$ be a sheaf on $X$. Then ther eis a short-exact sequence of the form:
  \[
  0\to j_!\left(\restrict{\shf}{U}\right)\to\shf\to i_{\ast}\left(\shf\right)\to 0
  \]
\end{prop}

\subsection{Sheet 4}
\begin{prop}
  Let $X$ be a topological space and $i\mc Z\hookrightarrow X$ a closed immersion. Then:
  \begin{enumerate}
    \item The direct image functor $i_{\ast}\mc \asheaf(Z)\to\asheaf(X)$ is exact.
    \item If $\shi$ is a flasque sheaf on $Z$, then $i_{\ast}\shf$ is flasque again.
  \item If $\shf$ is a sheaf on $Z$, then there exists an isomorphism
  \[
  \hh^n(Z,\shf)\cong\hh^n(X,i_{\ast}\shf)
  \]
  for all $n\geq 0$.
  \end{enumerate}
\end{prop}

\begin{construction}
  Let $X$ be a topological space and $i\mc Z\hookrightarrow X$ a closed immersion. Then the functor $\Gamma_Z$ of sections of $\shf$ with support in $Z$ is left-exact. Its right-derived functors $\hh^i_Z(X,-)$ are called the \emph{cohomology groups of $X$ with support in $Z$}.
\end{construction}

\begin{prop}
  \leavevmode
  \begin{enumerate}
    \item For a flasque sheaf $\shf$ on $X$ and all $n>0$ it holds that $\hh^n_Z(X,\shf)  =0$.
    \item Let $U\defined X\setminus i(Z)$. Then for any sheaf $\shf$ on $X$, there is a long exact sequence of cohomology groups of the form:
    \[
    0
    \to
    \hh^0_Z(X,\shf)
    \to
    \hh^0(X,\shf)
    \to
    \hh^0(U,\restrict{\shf}{U})
    \to
    \hh^1_Z(X,\shf)
    \to
    \hh^1(X,\shf)
    \to
    \ldots
    \]
  \end{enumerate}
\end{prop}

\begin{defn}
  Let $X$ be a scheme.
  \begin{enumerate}
   \item We say that $X$ is \emph{normal} if all stalks $\oxx$ are integrally closed domains.
   \item A \emph{normalization} of $X$ is an irreducible normal scheme $\wtilde{X}$ together with a dominant morphism $\nu\mc\wtilde{X}\to X$ such that every for every other dominant morphism from an irreducible scheme $Z\to X$ there is a unique morphism $Z\to \wtilde{X}$ such that the diagram
   \[
   \begin{tikzcd}
     Z
     \ar[dashed]{r}{\exists !}
     \ar{rd}[below left]{\text{dominant}}
     &
     \wtilde{X}
     \ar{d}[right]{\text{dominant}}
     \\
     &
     X
   \end{tikzcd}
   \]
   commutes.
   \end{enumerate}
\end{defn}
\begin{prop}
  \leavevmode
  \begin{enumerate}
    \item Let $X = \spec(A)$ be integral affine, i.e. assume that $A$ is an integral domain. Let $\wtilde{A}$ be the integral closure of $A$ in its field of fractions $K(X)$ and let $\nu\mc \wtilde{X}\to X$ be the morphism induced by the inclusion $A\hookrightarrow \wtilde{A}$. Then $(\wtilde{X},\nu)$ is a normalization of $X$.
    \item In general, every integral scheme admits a normalization.
  \end{enumerate}
\end{prop}

\begin{defn}
  Let $X$ be a topological space. We say that $X$ is a \emph{$T_0$-space} if for any two distinct points $x,y\in X$ there exists an open subset $U\sse X$ containing exactly one of these points.
\end{defn}

\begin{prop}
  \leavevmode
  \begin{enumerate}
    \item If $X$ is an irreducible scheme consisting of at least two points, then $X$ is not Hausdorff.
    \item If $X$ is any scheme, then $X$ is a $T_0$-space.
  \end{enumerate}
\end{prop}

\subsection{Sheet 5}
\begin{lem}
  A scheme $X$ is reduced if and only if all stalks $\oxx$ are reduced.
\end{lem}
\begin{defn}
  Let $X$ be a scheme.
  A \emph{reduction} of $X$ is a reduced scheme $X\red$ together with a morphism $\iota\mc X\red\to X$ such that every morphism $Z\to X$ from a reduced scheme factors uniquely trough $\iota$:
  \[
  \begin{tikzcd}
    Z
    \ar[dashed]{r}[above]{\exists !}
    \ar{rd}
    &
    X\red
    \ar{d}[right]{\iota}
    \\
    &
    X
  \end{tikzcd}
  \]
\end{defn}
\begin{prop}
  \leavevmode
  \begin{enumerate}
    \item Let $X=\spec(A)$ be an affine scheme. Denote by $\nrad(A)$ its nilradical, i.e. the intersection of all maximal ideals.
    Then $\spec(A/\nrad(A))$, together with the morphism induced by the quotient map $A\twoheadrightarrow A/\nrad(A)$ is a reduction of $X$.
    \item In general, for any scheme $X$, there exists a reduction, and the map $\iota$ is a homeomorphism of topological spaces.
  \end{enumerate}
\end{prop}

\begin{construction}
  Let $X$ be a scheme and $a\in \Gamma(X,\ox)$ a global section.
  Then subset $X_a\sse X$ is defined to be the subset consisting of all points $x\in X$ such that the germ $a_x\in \oxx$ is not contained in the maximal ideal $\idm_x$.
  Then $X_a$ is an opensubset of $X$, and if $X=\spec(A)$ is affine, $X_a$ coincides with the subset $D(a)$.
  However, in general, the $X_a$ do not form a basis of the topology on $X$.
\end{construction}

\subsection{Sheet 6}
\begin{example}
  Let $k$ be a field and $\af_k^2=\spec(k[x,y])$ the affine plane.
  Let $0\in \af^2_k$ be the closed point corresponding to the maximal ideal $(x,y)$ and let $U\defined \af_k^2\setminus 0$.
  \begin{enumerate}
    \item The restriction of sections induces an isomorphism
    \[
    \hh^0(\af_k^2,\oo_{\af^2_k})
    \xrightarrow{\cong}
    \hh^0(U,\oo_U)
    \]
    and $U$ is not affine.
    \item It holds that
    \[
    \chh^1\left(\lset D(x), D(y)\rset, \oo_U\right)
    \cong
    \bigoplus_{i,j<0}\genby{x^iy^j}
    \]
  \end{enumerate}
\end{example}

\subsection{Sheet 7}
\begin{prop}
  Let $f\mc (X,\ox)\to (Y,\oo_Y)$ be a morphism of ringed spaces, and let $\shf\in \modc(X,\ox)$ and $\shg\in\modc(Y,\oy)$.
  Suppose that the $\oo_Y$-module $\shg$ is locally free of finite rank.
  Then there exists a natural isomorphism:
  \[
  f_{\ast}
  \left(\shf\tensor_{\ox}f^{\ast}\shg\right)
  \cong
  f_{\ast}\shf\tensor_{\oy}\shg
  \]
 \end{prop}

 \begin{prop}
   Let $X$ be a noetherian scheme and let $\shf$ be a coherent sheaf on $X$. Consider the function
   \[
   \pphi\mc X\to \nn,~x\mapsto \dim_{k(x)}\shf_x\tensor_{\oxx}k(x).
   \]
   Then the following assertions hold:
   \begin{enumerate}
     \item The function $\pphi$ is upper semi-continous, i.e. for any $n\in \zz$ it holds that the set $\lset x\in X\ssp \pphi(x)\geq n\rset$ is closed.
     \item If $\shf$ is a locally free module and $X$ is connected, then $\pphi$ is constant.
     \item Conversely, if $X$ is reduced and $\pphi$ is constant, then $\shf$ is locally free.
   \end{enumerate}
 \end{prop}

\begin{construction}
  Let $(X,\ox)$ be a ringed space and let $\shf,\shg\in \modc(X,\ox)$ be modules.
  Then the presheaf of $\ox$-modules
  \[
  \chom_{\ox}(\shf,\shg)\mc U\mapsto \hom_{\oo_U}\left(\restrict{\shf}{U},\shg(U)\right)
  \]
  is in fact a sheaf. Consider now the functor
  \[
  \chom_{\ox}(\shf,-)\mc \mod(X,\ox)\to\mod(X,\ox).
  \]
  Then:
  \begin{enumerate}
    \item The functor $\chom_{\ox}(\shf,-)$ is a left exact functor.
    Hence the right derived functors
    \[\cext(\shf,-)\defined R^i\chom_{\ox}(\shf,-)\] exist.
    \item If $\shi\in\modc(X,\ox)$ is an injective object, then the restrictions $\restrict{\shi}{U}\in\modc(U,\oo_U)$ are too, for every open subset $U\sse X$.
    Hence it holds that
    \[
    \restrict{\cext^i(\shf,\shg)}{U}
    \cong
    \cext^i_{\oo_U}\left(\restrict{\shf}{U},\restrict{\shg}{U}\right).
    \]
    \item Consider an exact sequence of the form
    \[
    \ldots
    \to
    \shl_1
    \to
    \shl_0
    \to
    \shf
    \to
    0,
    \]
    where each of the $\shl_i$ is a locally free sheaf of finite rank on $(X,\ox)$. Then
    \[
    \cext^i_{\ox}(\shf,\shg)
    \cong
    \hh^i\left(\chom_{\ox}\left(\shl_{\bullet},\shg\right)\right).
    \]
    \item If $X$ is a Noetherian scheme and $\shf$ is a coherent $\ox$-module, then for every $x\in X$ it holds that
    \[
    \cext_{\ox}^i\left(\shf,\shg\right)_x
    \cong
    \ext_{\oxx}^i\left(\shf_x,\shg_x\right).
    \]
  \end{enumerate}
\end{construction}

\subsection{Sheet 8}
\begin{lem}
  Let $X=\spec(A)$ be an affine scheme and $\shf$ a quasi-coherent sheaf on $X$. Then:
  \begin{enumerate}
    \item If there is a global section $s\in \Gamma(X,\shf)$ and an $a\in A$ such that $0=\restrict{s}{D(a)}\in\shf(D(a))$ holds, then there is a $n>0$ such that $a^n\cdot s = 0\in \Gamma(X,\shf)$ holds.
    \item Let $t\in \shf(D(a))$ any $a\in A$. Then there exists a $n>0$ and a global section $s\in \Gamma(X,\shf)$ such that $\restrict{s}{D(a)}=a^n\cdot t$ holds in $\shf(D(a))$.
  \end{enumerate}
\end{lem}


\begin{rem}
  Let $f\mc X\to Y$ be a morphism of schemes and $\shf$ a coherent sheaf. Then $f_{\ast}\shf$ need not be coherent.
\end{rem}

\begin{construction}[Veronese embedding]
Let $B = \bigoplus_{i\geq 0}B_i$ and set
\[
B^{(d)}\defined \bigoplus_{i\geq 0}B_i^{(d)}\text{ with }B_i^{(d)}\defined B_{di}.
\]
Then:
\begin{enumerate}
  \item There exists an isomorphism
  \[
  \pphi\mc \proj(B)\xrightarrow{\cong}\proj(B^{(d)})
  \text{ with }
  \pphi^{\ast}\oo(1)\cong \oo(d).
  \]
  \item If $B=k[x_0,\ldots,x_n]$, then the surjection $k[y_0,\ldots,y_N]\twoheadrightarrow B^{(d)}$ mapping $y_i$ to the $i$-th monomial of degree $d$ in the variables $x_i$ defined a closed embedding
  \[
  \pp^n_k\cong
  \proj(B)
  \cong
  \proj(B^{(d)})
  \hookrightarrow
  \pp_k^N.
  \]
  If $k$ is an algebraically closed field, then the above morphism is giben on closed points by
  \[
  [\lambda_0:\ldots:\lambda_n]
  \mapsto
  [
  \lambda_0^d:\ldots:\lambda^I:\ldots:\lambda^d_n
  ],
  \]
  where $\lambda^I$ runs over all monomials of degree $d$.
\end{enumerate}
\end{construction}

\begin{lem}
  Let $B=\bigoplus_{i\geq 0}B_d$ be a graded ring and $\ida\sse B$ a homogenous ideal. Then the following conditions are equivalent:
  \begin{enumerate}
    \item $V_{+}(\ida)=\emptyset$.
    \item $B_+\sse \sqrt{\ida}$.
    \item If $\ida=(a_i)$ for some homogenous elements $a_i$, then it holds that $\bigcup D_{+}(a_i) = \proj(B)$.
  \end{enumerate}
\end{lem}

\subsection{Sheet 9}
\begin{construction}
  Let $X$ be a projective shceme over a field $k$.
  Then by Seere's theorem, the homologies of a coherent sheaf $\shf$ on $X$ $\hh^i(X,\shf)$ are finite-dimensional $k$-vector spaces.
  \begin{enumerate}
    \item It holds that $\hh^i(X,\shf) = 0$ for $i\gg 0$.
    \item The \emph{Euler characteristic of $\shf$} is defined as
    \[
    \chi(X,\shf)\defined
    \sum_{i=0}^{\infty}\left(-1\right)^i \dim_k \hh^i(X,\shf).
    \]
  \end{enumerate}
  The Euler characteristic of $\shf$ is \emph{additive} in the following sense: If
  \[
    0
    \to
    \shf
    \to
    \shg
    \to
    \shh
    \to
    0
    \]
    is a short-exact sequence of coherent sheaves, then it holds that
    \[
    \chi(X,\shg) =
    \chi(X,\shf)
    +
    \chi(X,\shh)
    .
    \]
\end{construction}

\begin{prop}
  If $X$ is a projective integral scheme over a field $k$, then $\hh^0(X,\ox)$ is a finite field extension of $k$. In particular, if $k$ is algebraically closed then it holds that $\hh^0(X,\ox) = k$.
\end{prop}

\begin{defn}
  Let $X$ be a projective scheme of dimension $n$ over a field $k$. Then the \emph{arithmetic genus of $X$} is defined as
  \[
  p_a(X)\defined
  \left(-1\right)^n\left(\chi(X,\ox)-1\right).
  \]
\end{defn}
\begin{example}
  If $X\sse \pp^2_k$ is given by a polynomial of degree $d$, then $p_a(X) = (d-1)(d-2)/2$.
\end{example}

\begin{prop}
  Let $B=\bigoplus_{d\geq 0}B_d$ and $C = \bigoplus_{d\geq 0}C_d$ are two graded rings such that $A\defined B_0\cong C_0$.
  Let
  \[
  B\times_A C\defined
  \bigoplus_{d\geq 0}
  B_d\tensor C_d,
  \]
  and let $X\defined \proj(B)$ and $Y\defined \proj(C)$.
  \begin{enumerate}
    \item It holds that
    \[
    X\times_{\spec(A)}Y  \cong \proj\left(B\times_A C\right).
    \]
    \item Under this isomorphism, the twisitng sheaf $\oo(1)$ on $\proj\left(B\times_A C\right)$ is isomorphic to
    \[
    p_1^{\ast}\oo_X(1)\tensor p_2^{\ast}\oo_Y(1),
    \]
    where are the two projections from $X\times_{\spec(A)}Y$.
  \end{enumerate}
\end{prop}
\subsection{Sheet 10}
\begin{prop}
  Let $\pphi\mc\shl\to\shm$ be a moprhism of invertible sheaves on a scheme $X$. Then $\pphi$ is an isomorphism if $\pphi$ is surjective, but not necessarily if $\pphi$ injective.
\end{prop}

\begin{lem}
  Let $\shl$ be an invertible sheaf on an interal scheme $X$ which is projective over an algebraically closed field $k$. Then $\shl$ is trivial if and only if both $\hh^0(X,\shl)$ and $\hh^0(X,\shl^{\ast})$ are non-zero.
\end{lem}

\begin{lem}
  Let $f\mc Y\to Y$ and $g\mc Y\to Z$ be two morphisms of schemes. Let $\shl$ and $\shm$ be $f$-relativley very ample invertible sheaves on $X$, and let $\shn$ be a $g$-relativley very amply invertible sheaf on $Y$. Then:
  \begin{enumerate}
    \item It holds that $\shl\tensor \shm$ is $f$-relativley very ample.
    \item It holds that $\shl\tensor f^{\ast}\shn$ is $(g\circ f)$-relativley very ample.
  \end{enumerate}
\end{lem}

\begin{construction}
  Let $f\in k[x_0,\ldots,x_n]$ be a homogenous polynomial of degree $d$. Consider the two closed subsets $X = V_{+}(f)\sse \pp^n_k$ and $Y = V_{+}\left(f-x^d_{n+1}\right)\sse \pp^{n+1}_k$. Assume that $k$ is algebraically closed of characteristic $p$ and that $p$ does not divide $d$.
  Then there exists a morphism $g\mc Y \to \pp^n_k$ with the following properties:
  \begin{enumerate}
    \item Restricted to the intersection
    \[
    Y \cap V_{+}(x_{n+1}) = V_{+}\left(f-x^d_{n+1},x_{n+1}\right) \sse \pp^{n+1}_k,
    \]
    the morphism $g$ yields an isomorphism with $X$.
    \item For every closed point in the complement of $X$ in $\pp^n_k$, the fibre of $g$ is a reduced scheme consisting of exactly $d$ $k$-rational points.
    \item There exists a divisor $D$ on $Y$ such that the invertible sheaf $\oo(D)$ associated to it is a $d$-th root of the pull-back of the invertible sheaf associated to $X\sse \pp^n_k$, i.e. it holds that
    \[
    \oo(dD) \cong
    g^{\ast}\oo(X).
    \]
  \end{enumerate}
\end{construction}

\subsection{Sheet 11}
\begin{prop}
  Let $X$ be a Noetherian scheme and $\shl, \shm$ two invertible sheavs on $X$. Assume that $\shl$ is ample. Then $\shl^n\tensor \shm$ is ample for $n\gg 0$. Furthermore, any invertible sheaf $\shm$ on $X$ is isomorphic to some $\shl_1\tensor\shl_2^{\ast}$ with $\shl_1,\shl_2$ ample, if there exists an ample invertible sheaf on $X$ at all.
\end{prop}

\begin{example}
  The Picard group of the quadric
  \[
  \pp^1_k\times \pp^1_k \cong Q \defined V_{+}(x_0x_3-x_1x_2)\sse \pp^3_k
  \]
  is given by $\pic(Q)\cong \zz\oplus\zz$, i.e. every invertible sheaf on $Q$ is isomophic to a unique
  \[
  \oo(a,b)\defined p_1^{\ast}\oo(a)\tensor p_2^{\ast}\oo(b),
  \]
  for unique $a,b\in \zz$.
\end{example}
\begin{construction}
  If $X$ and $Y$ are two quasi-compact and separated schemes over a field $k$, and $\shf,\shg$ are quasi-coherent sheaves on $X$ respectively $Y$, then the \emph{box product sheaf} on $X\times Y$ is given by
  \[
  \shf \bt \shg \defined
  p_1^{\ast}\tensor p_2^{\ast}\shg.
  \]
  Then there is a \emph{Künneth isomophism}
  \[
  \hh^n(X\times Y,\shf\bt\shg)
  \cong
  \bigoplus_{i+j=n}
  \hh^i(X,\shf)\tensor_k \hh^j(Y,\shg).
  \]
\end{construction}

\begin{prop}
    Let $X$ be a projective scheme over an algebraically closed field $k$ and let $\shl\in \pic(X)$ be an invertible sheaf on $X$.
    Then the base local $\bs(\shl)\defined \bs(\hh^0(X,\shl))$ of $\shl$ contains the base locus $\bs(\shl^n)$ of any power of $\shl$.
\end{prop}

\subsection{Sheet 12}
\begin{prop}
  Let $X$ be an integral, projective, normal curve over an algebraically closed field $k$. Then there exists a finite morphism $f\mc X\to \pp^1_k$ of degree smaller or equal to $g(X)+1$, where $g(X)$ is the genus of $X$.
\end{prop}

\begin{prop}
  Let $X$ be an integral, projective, normal curve over an algebraically closed field $k$.
  Then:
  \begin{enumerate}
    \item For every closed point $x\in X$, there exists a rational function $f\in K(X)$ with a pole at $x$ (of some order $n>0$) and no pole anywhere else.
    \item More generally, for every given closed points $x_1,\ldots,x_r\in X$ there exists a rational function $f\in K(X)$ with poles at all the $x_i$ (of some orders $n_i>0$) and no polyse anywhere else.
  \end{enumerate}
\end{prop}
\begin{prop}
  Let $k$ be algebraically closed and $X\sse \pp^2_k$ a normal cubic with an inflection point $x_0\in X$ leading to a group structure on the set of closed points of $X$ with $x_0$ as the identity element. Then any other inflection point $x\in X$ is of order three.
\end{prop}

\begin{prop}
  Let $X$ be an integral, projective, normal curve over an algebraically closed field $k$ and let $\shl$ be a n invertible sheaf on $X$.
  Then:
  \begin{enumerate}
    \item For every closed point $x\in X$, it holds that
    \[
    \chi(\shl(x)) = 1 + \chi(\shl).
    \]
    \item The \emph{Riemann-Roch theorem} holds in this case, i.e. we have the equality
    \[
    \chi(\shl) = \deg(\shl)+1-g(X).
    \]
  \end{enumerate}
\end{prop}
\begin{prop}
  Let $f\mc \pp^n_k\to X$ be a morphism of projective $k$-schemes. Then either image of $f$ consists of a single point or $f$ is quasi-finite (and in fact finite).
\end{prop}

\subsection{Sheet 13}
\begin{prop}
  Let $\she$ be a locally free sheaf of rank $r+1$ on a scheme $X$ and let
  \[
  \shs \defined S^{\ast}(\she) = \bigoplus_{d\geq 0} S^d(\she).
  \]
  Then for the projection $\pi\mc \pp(\she)\to X$, there exist isomorphisms
  \[
  \she \cong \pi_{\ast}\oo_{\pi}(1)
  \text{ and }
  S^d(\she) \cong \pi_{\ast}\oo_{\pi}(d).
  \]
\end{prop}

\begin{prop}
  Let $X$ be a scheme and $\she$ a locally free sheaf of rank $r+1$ on $X$. Let $\pi\mc \pp(\she)\to X$ be the projection. Then there exists a short-exact sequence of the form
  \[
  0
  \to
  \oo_{\pi}(-1)
  \to
  \pi^{\ast}\she\dual
  \to
  \shf_1\dual
  \to
  0,
  \]
  where $\shf_1$ is locally free. Furthermore, there exists a sequence of morphisms
  \[
  P_r
  \to
  P_{r-1}
  \to
  \ldots
  \to
  P_0 = X
  \]
  such that each $P_i\to P_{i-1}$ is a $\pp^i$-bundle and the pull-back of $\she$ to $P_r$ admits a filtration
  \[
  0  = \shf_{r+1} \sse \shf_r \sse \ldots \shf_0 = g^{\ast}\she,
  \]
  such that each quotient $\shf_i/\shf_{i+1}$ is an invertible sheaf.
\end{prop}

\begin{prop}
  Let $X$ be a Noetherian scheme and $\shi$ a coherent sheaf of ideals on $X$.
  Then:
  \begin{enumerate}
    \item For every $d>0$, there is an isomorphism $\bl_{V(\shi)}\cong \bl_{V(I^d)}(X)$ over $X$.
    \item If $\shj$ is an invertible coherent sheaf of ideals on $X$, then there is an isomophism
    \[
    \bl_{V(\shi)}(X)
    \cong
    \bl_{V(\shi\cdot \shj)}(X)
    \]
    over $X$.
    \item It does not necessarily hold that $\bl_{V(\shi)}\cong \bl_{V(\sqrt{I})}(X)$.
  \end{enumerate}
\end{prop}
